Skip to content
Esc
↑↓navigate↵open⌘Jpreview

List warehouses

Lists warehouses (minimal fields) with pagination.

GET/api/v2/{team_slug}/{app_slug}/warehouses
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
team_slugstringrequired
app_slugstringrequired
Query parameters
pageinteger
per-pageinteger
searchstring
warehouse-idstring[]

Repeatable warehouse id

Responses
200

OK

dataWarehouseBase[]required
Show properties
Array of WarehouseBase
idUUIDrequired
namestringrequired
slugstringrequired
available_onlineboolean
marketsWarehouseMarket[] | null
Show properties
Array of WarehouseMarket
idUUIDrequired
namestring
slugstring
created_atstring<date-time>required
updated_atstring<date-time> | null
total_pagesintegerrequired
total_itemsintegerrequired
400

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
401

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
403

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
500

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.enad.io/api/v2/string/string/warehouses' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "slug": "string",
      "available_online": true,
      "markets": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "name": "string",
          "slug": "string"
        }
      ],
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "total_pages": 0,
  "total_items": 0
}